/chakra/desktop/oyranos/src/oyranos-0.9.6/src/API_generated/oyranos_module.c File Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Functions
oyranos_module.c File Reference
`#include "oyranos_debug.h"`
`#include "oyranos_i18n.h"`
`#include "oyranos_io.h"`
`#include "oyranos_internal.h"`
`#include "oyranos_object_internal.h"`
`#include "oyranos_types.h"`
`#include "oyranos_generic_internal.h"`
`#include "oyranos_module_internal.h"`
`#include "oyObject_s.h"`
`#include "oyCMMapi3_s.h"`
`#include "oyCMMapi4_s_.h"`
`#include "oyCMMapi5_s.h"`
`#include "oyCMMapi6_s.h"`
`#include "oyCMMapi9_s.h"`
`#include "oyCMMapi10_s_.h"`
`#include "oyCMMapiFilter_s_.h"`
`#include "oyCMMapiFilters_s.h"`
`#include "oyCMMapiFilters_s_.h"`
`#include "oyCMMapis_s.h"`
`#include "oyOptions_s_.h"`
`#include "oyStructList_s_.h"`

## Functions
size_t | oyDataTypeGetSize (oyDATATYPE_e data_type)
| oyDATATYPE_e to byte mapping More...
const char * | oyDataTypeToText (oyDATATYPE_e data_type)
| oyDATATYPE_e to string mapping More...
char | oyFilterRegistrationModify (const char *registration, oyFILTER_REG_MODE_e mode, char **result, oyAlloc_f allocateFunc)
| process a registration string More...

## Detailed Description

[Template file inheritance graph] +– oyranos_module.template.c

Oyranos is an open source Color Management System

Copyright:
  2004-2016 (C) Kai-Uwe Behrmann

Author
  Kai-Uwe Behrmann ku.b@.nosp@m.gmx..nosp@m.de

License:
  new BSD - see: http://www.opensource.org/licenses/BSD-3-Clause

## Function Documentation

## ◆ oyFilterRegistrationModify()

char oyFilterRegistrationModify | ( | const char * | registration,
|  | oyFILTER_REG_MODE_e | mode,
|  | char ** | result,
|  | oyAlloc_f | allocateFunc
| ) |  |

process a registration string

A semantical overview is given in Backend Modules.

Parameters

  [in] | registration | registration key
  [in] | mode | the processing rule
  [out] | result | allocated by allocateFunc
  [in] | allocateFunc | optional user allocator; defaults to oyAllocateFunc_

Returns
  0 - good; >= 1 - error; < 0 issue

Version
  Oyranos: 0.1.11

Since
  2010/08/12 (Oyranos: 0.1.11)

Date
  2010/08/12

References OY_SLASH, OY_SLASH_C, and oyFILTER_REG_MODE_STRIP_IMPLEMENTATION_ATTR.